Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionHeader.SectionPosition

    java.lang.Object
      java.lang.Enum<QStyleOptionHeader.SectionPosition>
          com.trolltech.qt.gui.QStyleOptionHeader.SectionPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionHeader.SectionPosition>

Enclosing class:
  QStyleOptionHeader

    public static enum QStyleOptionHeader.SectionPosition

extends java.lang.Enum<QStyleOptionHeader.SectionPosition>
implements QtEnumerator

This enum lets you know where the section's position is in relation to the other sections.

See Also:
  position

Enum Constant Summary
`Beginning` At the beginining of the header
`End` At the end of the header
`Middle` In the middle of the header
`OnlyOneSection` Only one header section

Method Summary
`static QStyleOptionHeader.SectionPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionHeader.SectionPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionHeader.SectionPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Beginning

    public static final QStyleOptionHeader.SectionPosition Beginning

  At the beginining of the header

### Middle

    public static final QStyleOptionHeader.SectionPosition Middle

  In the middle of the header

### End

    public static final QStyleOptionHeader.SectionPosition End

  At the end of the header

### OnlyOneSection

    public static final QStyleOptionHeader.SectionPosition OnlyOneSection

  Only one header section

Method Detail

### values

    public static final QStyleOptionHeader.SectionPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionHeader.SectionPosition c : QStyleOptionHeader.SectionPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionHeader.SectionPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionHeader.SectionPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD